%define pypi_name	botocore

Name:		python-%{pypi_name}
Version:	1.36.5
Release:	%mkrel 1
Summary:	The low-level, core functionality of boto 3
License:	Apache License
Group:		Development/Python
URL:		https://pypi.org/project/botocore/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A low-level interface to a growing number of Amazon Web Services. The botocore
package is the foundation for the AWS CLI as well as boto3.

%package -n	python3-%{pypi_name}
Summary:	The low-level, core functionality of boto 3
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	bundled(python-six) = 1.16.0
Provides:	bundled(python-requests) = 2.7.0

%description -n	python3-%{pypi_name}
A low-level interface to a growing number of Amazon Web Services. The botocore
package is the foundation for the AWS CLI as well as boto3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files botocore

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Fri Jan 24 2025 daviddavid <daviddavid> 1.36.5-1.mga10
+ Revision: 2141267
- new version: 1.36.5

* Tue Jan 07 2025 daviddavid <daviddavid> 1.35.93-1.mga10
+ Revision: 2135843
- new version: 1.35.93

* Sun Dec 15 2024 papoteur <papoteur> 1.35.79-1.mga10
+ Revision: 2125386
- new version 1.35.79

* Wed Dec 11 2024 daviddavid <daviddavid> 1.35.78-1.mga10
+ Revision: 2123448
- new version: 1.35.78

* Thu Nov 07 2024 daviddavid <daviddavid> 1.35.55-1.mga10
+ Revision: 2112930
- new version: 1.35.55

* Tue Oct 01 2024 daviddavid <daviddavid> 1.35.30-1.mga10
+ Revision: 2102172
- new version: 1.35.30

* Sun Aug 25 2024 daviddavid <daviddavid> 1.35.5-1.mga10
+ Revision: 2091219
- new version: 1.35.5

* Tue Aug 06 2024 daviddavid <daviddavid> 1.34.154-1.mga10
+ Revision: 2083712
- new version: 1.34.154

* Fri Jun 28 2024 daviddavid <daviddavid> 1.34.135-1.mga10
+ Revision: 2077900
- new version: 1.34.135

* Thu Jun 27 2024 papoteur <papoteur> 1.34.131-1.mga10
+ Revision: 2077233
- new version 1.34.131

* Fri May 31 2024 daviddavid <daviddavid> 1.34.116-1.mga10
+ Revision: 2068924
- new version: 1.34.116

* Wed Apr 17 2024 daviddavid <daviddavid> 1.34.85-1.mga10
+ Revision: 2058378
- new version: 1.34.85

* Tue Mar 12 2024 daviddavid <daviddavid> 1.34.60-1.mga10
+ Revision: 2049255
- new version: 1.34.60

* Thu Feb 15 2024 daviddavid <daviddavid> 1.34.42-1.mga10
+ Revision: 2041461
- new version: 1.34.42

* Sat Jan 20 2024 daviddavid <daviddavid> 1.34.23-1.mga10
+ Revision: 2032414
- new version: 1.34.23
+ wally <wally>
- add bundled() provides for bundled six and requests
- use %%pyproject_buildrequires

* Fri Dec 22 2023 daviddavid <daviddavid> 1.34.6-1.mga10
+ Revision: 2020820
- new version: 1.34.6

* Thu Dec 21 2023 daviddavid <daviddavid> 1.34.4-1.mga10
+ Revision: 2020780
- new version: 1.34.4

* Mon Dec 04 2023 daviddavid <daviddavid> 1.33.6-1.mga10
+ Revision: 2013100
- new version: 1.33.6

* Sat Nov 25 2023 daviddavid <daviddavid> 1.32.6-1.mga10
+ Revision: 2009591
- new version: 1.32.6

* Sat Nov 04 2023 daviddavid <daviddavid> 1.31.78-1.mga10
+ Revision: 2003935
- new version: 1.31.78

* Sun Oct 01 2023 daviddavid <daviddavid> 1.31.57-1.mga10
+ Revision: 1992783
- new version: 1.31.57

* Wed Aug 30 2023 daviddavid <daviddavid> 1.31.36-1.mga10
+ Revision: 1981818
- new version: 1.31.36

* Tue Jun 20 2023 daviddavid <daviddavid> 1.29.157-1.mga9
+ Revision: 1962707
- new version: 1.29.157
- revert back to the stable branch version 1
- switch to pyproject

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.0.0-0.dev137.3.mga9
+ Revision: 1785686
- rebuild for python-3.10

* Sat Aug 14 2021 wally <wally> 2.0.0-0.dev137.2.mga9
+ Revision: 1741298
- loosen awscrt deps

* Sat Aug 14 2021 wally <wally> 2.0.0-0.dev137.1.mga9
+ Revision: 1741283
- new version 2.0.0dev137

* Sat Aug 14 2021 wally <wally> 1.21.21-1.mga9
+ Revision: 1741273
- new version 1.21.21

* Fri Jun 04 2021 daviddavid <daviddavid> 1.20.87-1.mga9
+ Revision: 1729602
- new version: 1.20.87

* Fri May 21 2021 daviddavid <daviddavid> 1.20.77-1.mga9
+ Revision: 1725998
- new version: 1.20.77

* Mon Apr 26 2021 daviddavid <daviddavid> 1.20.57-1.mga9
+ Revision: 1719826
- new version: 1.20.57

* Mon Apr 12 2021 daviddavid <daviddavid> 1.20.49-1.mga9
+ Revision: 1714892
- new version: 1.20.49

* Fri Mar 19 2021 daviddavid <daviddavid> 1.20.32-1.mga9
+ Revision: 1704691
- new version: 1.20.32
- rebuild for python 3.9

* Fri Feb 26 2021 daviddavid <daviddavid> 1.20.16-1.mga9
+ Revision: 1691754
- new version: 1.20.16

* Thu Jan 07 2021 neoclust <neoclust> 1.19.50-1.mga8
+ Revision: 1669674
- Revert to stable releases: 1.19.50

* Thu Dec 31 2020 neoclust <neoclust> 2.0.0-0.dev83.1.mga8
+ Revision: 1666642
- New version (needed for aws-cli)

* Thu Dec 24 2020 daviddavid <daviddavid> 1.19.43-1.mga8
+ Revision: 1663502
- new version: 1.19.43

* Tue Dec 15 2020 daviddavid <daviddavid> 1.19.35-1.mga8
+ Revision: 1657626
- new version: 1.19.35

* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.19.15-1.mga8
+ Revision: 1644651
- new version 1.19.15

* Sat Nov 07 2020 guillomovitch <guillomovitch> 1.19.13-1.mga8
+ Revision: 1643301
- new version 1.19.13

* Thu Oct 22 2020 daviddavid <daviddavid> 1.19.2-1.mga8
+ Revision: 1638518
- new version: 1.19.2

* Fri Sep 18 2020 daviddavid <daviddavid> 1.18.0-1.mga8
+ Revision: 1628614
- new version: 1.18.0

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.17.63-1.mga8
+ Revision: 1628094
- new version 1.17.63

* Mon Sep 14 2020 daviddavid <daviddavid> 1.17.60-1.mga8
+ Revision: 1626515
- new version: 1.17.60

* Sat Aug 29 2020 daviddavid <daviddavid> 1.17.51-1.mga8
+ Revision: 1619519
- new version: 1.17.51

* Mon Aug 10 2020 daviddavid <daviddavid> 1.17.38-1.mga8
+ Revision: 1613045
- new version: 1.17.38

* Tue Jul 14 2020 daviddavid <daviddavid> 1.17.20-1.mga8
+ Revision: 1605946
- new version: 1.17.20

* Sun May 31 2020 daviddavid <daviddavid> 1.16.19-1.mga8
+ Revision: 1589218
- new version: 1.16.19

* Tue Apr 28 2020 daviddavid <daviddavid> 1.15.47-1.mga8
+ Revision: 1572860
- new version: 1.15.47

* Fri Apr 10 2020 daviddavid <daviddavid> 1.15.39-2.mga8
+ Revision: 1566074
- fix docutils 0.16 runtime dependency issue

* Fri Apr 10 2020 daviddavid <daviddavid> 1.15.39-1.mga8
+ Revision: 1566015
- new version: 1.15.39

* Sat Mar 28 2020 daviddavid <daviddavid> 1.15.31-1.mga8
+ Revision: 1561338
- new version: 1.15.31

* Sat Mar 28 2020 daviddavid <daviddavid> 1.15.29-1.mga8
+ Revision: 1561337
- new version: 1.15.29

* Tue Feb 18 2020 umeabot <umeabot> 1.13.21-2.mga8
+ Revision: 1538841
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 daviddavid <daviddavid> 1.13.21-1.mga8
+ Revision: 1463179
- new version: 1.13.21 (needed for python-boto3 1.10.21)

* Sun Sep 15 2019 buchan <buchan> 1.12.228-1.mga8
+ Revision: 1441719
- New version 1.12.228

* Tue Aug 20 2019 buchan <buchan> 1.12.211-1.mga8
+ Revision: 1430678
- Update to 1.12.211

* Wed May 22 2019 buchan <buchan> 1.12.153-1.mga7
+ Revision: 1398910
- Upgrade to 1.12.153 for aws-cli 1.16.163

* Sun Apr 21 2019 wally <wally> 1.12.134-1.mga7
+ Revision: 1394392
- new version 1.12.134

* Wed Apr 17 2019 wally <wally> 1.12.119-1.mga7
+ Revision: 1392212
- new version 1.12.119

* Mon Jan 07 2019 shlomif <shlomif> 1.12.74-1.mga7
+ Revision: 1351466
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.10.35-2.mga7
+ Revision: 1288385
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 buchan <buchan> 1.10.35-1.mga7
+ Revision: 1236213
- New version 1.10.35

* Wed May 23 2018 buchan <buchan> 1.10.26-1.mga7
+ Revision: 1231927
- New version 1.10.26

* Mon May 07 2018 kekepower <kekepower> 1.10.14-1.mga7
+ Revision: 1227571
- Update to version 1.10.14
- Use python_provide

* Tue Apr 10 2018 buchan <buchan> 1.10.0-1.mga7
+ Revision: 1217273
- imported package python-botocore

